float sin_tbl[128];
float tri_tbl[128];
float saw_tbl[128];
float sqa_tbl[128];

float *wave_tbl = sin_tbl;

void build_tbls()
{
	int i, j;

	for (i=0; i<128; i++) {
		sin_tbl[i] = sin(i * 0.0497) * 0.95;
	}

	for (i=0; i<32; i++) {
		tri_tbl[i] = i / 33.68f;
		tri_tbl[127-i] = -tri_tbl[i];
	}
	for (; i<64; i++) {
		tri_tbl[i] = (64 - i) / 33.68;
		tri_tbl[127-i] = -tri_tbl[i];
	}
	for (i=0; i<128; i++) {
		saw_tbl[i] = (i-64)/67.38f;
	}
	for (i=0; i<64; i++) {
		sqa_tbl[i] = 0.0f;
		for (j=1; j<30; j+=2) {
			sqa_tbl[i] += sin(i * j * 0.0497) * 0.95 / (float)j;
		}
		sqa_tbl[i+64] = -sqa_tbl[i];
        }

}
